Bug 1416183 - [abrt] gnome-font-viewer: font_view_model_set_scale_factor(): gnome-font-viewer killed by SIGSEGV
Summary: [abrt] gnome-font-viewer: font_view_model_set_scale_factor(): gnome-font-view...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cbdfa9852498af6ef823a0f796f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 19:13 UTC by Matthew Brabham
Modified: 2017-03-29 05:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 05:32:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.90 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: core_backtrace (7.30 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: dso_list (8.50 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: environ (1.53 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: maps (44.71 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: open_fds (7.24 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-24 19:13 UTC, Matthew Brabham
no flags Details

Description Matthew Brabham 2017-01-24 19:13:19 UTC
Description of problem:
Running Wayland on a MacBook Pro 11,3

Run Gnome Font Viewer

Expect it to show

Results, core dump

Version-Release number of selected component:
gnome-font-viewer-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-font-viewer --gapplication-service
crash_function: font_view_model_set_scale_factor
executable:     /usr/bin/gnome-font-viewer
global_pid:     27607
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 font_view_model_set_scale_factor at font-model.c:688
 #6 g_object_notify_by_spec_internal at gobject.c:1157
 #7 g_object_notify_by_pspec at gobject.c:1267
 #8 _gtk_widget_scale_changed at gtkwidget.c:10845
 #9 check_scale_changed at gtkwindow.c:6689
 #10 gtk_window_configure_event at gtkwindow.c:7709
 #11 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #16 gtk_widget_event_internal at gtkwidget.c:7723
 #17 gtk_main_do_event at gtkmain.c:1841
 #18 _gdk_event_emit at gdkevents.c:73

Comment 1 Matthew Brabham 2017-01-24 19:13:22 UTC
Created attachment 1244023 [details]
File: backtrace

Comment 2 Matthew Brabham 2017-01-24 19:13:23 UTC
Created attachment 1244024 [details]
File: cgroup

Comment 3 Matthew Brabham 2017-01-24 19:13:24 UTC
Created attachment 1244025 [details]
File: core_backtrace

Comment 4 Matthew Brabham 2017-01-24 19:13:25 UTC
Created attachment 1244026 [details]
File: dso_list

Comment 5 Matthew Brabham 2017-01-24 19:13:26 UTC
Created attachment 1244027 [details]
File: environ

Comment 6 Matthew Brabham 2017-01-24 19:13:26 UTC
Created attachment 1244028 [details]
File: exploitable

Comment 7 Matthew Brabham 2017-01-24 19:13:27 UTC
Created attachment 1244029 [details]
File: limits

Comment 8 Matthew Brabham 2017-01-24 19:13:28 UTC
Created attachment 1244030 [details]
File: maps

Comment 9 Matthew Brabham 2017-01-24 19:13:29 UTC
Created attachment 1244031 [details]
File: mountinfo

Comment 10 Matthew Brabham 2017-01-24 19:13:30 UTC
Created attachment 1244032 [details]
File: namespaces

Comment 11 Matthew Brabham 2017-01-24 19:13:31 UTC
Created attachment 1244033 [details]
File: open_fds

Comment 12 Matthew Brabham 2017-01-24 19:13:32 UTC
Created attachment 1244034 [details]
File: proc_pid_status

Comment 13 Matthew Brabham 2017-01-24 19:13:33 UTC
Created attachment 1244035 [details]
File: var_log_messages

Comment 14 Jonathan Briggs 2017-03-09 18:38:32 UTC
Similar problem has been detected:

I have an external 4K monitor attached which is big enough that Gnome uses a 1X auto-scale factor.

All I did to make this crash is try to open gnome-font-viewer

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-font-viewer --gapplication-service
crash_function: font_view_model_set_scale_factor
executable:     /usr/bin/gnome-font-viewer
global_pid:     17482
kernel:         4.9.13-200.fc25.x86_64
package:        gnome-font-viewer-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-font-viewer killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 15 Matthew Brabham 2017-03-29 05:32:04 UTC
It started working again, closing


Note You need to log in before you can comment on or make changes to this bug.